function A=smooth_filter(A,blur_para,sm_p)
% Computes the convolution of a given n1xn2 Matrix A with 
% a gauss filter (sm_p=='g') or a mean filter (sm_p=='m').
% The filter-window-size is m

m=blur_para(1)+(1-mod(blur_para(1),2)); %make it odd for sure;

n3=size(A,2);

if n3==1,
    disp('A is not an image!')
end

rm=(m-1)/2;

switch sm_p
    case 'g'
        %H=gauss(m);        
        H = fspecial('gaussian', [m,m], blur_para(2));
        %A=imfilter(A,H,'replicate');
        %A=imfilter(A,H);
        A=convb(A,H,rm,rm);
    case 'm'
        H=ones(m,m)/m/m;
        A=convb(A,H,rm,rm);
end


